/// <reference types="react" />
import type { DropdownOptionType } from './Dropdown';
declare type DropdownContext = {
    isOpen: boolean;
    setIsOpen: React.Dispatch<React.SetStateAction<boolean>>;
    selected: DropdownOptionType | null;
    setSelected: React.Dispatch<React.SetStateAction<DropdownOptionType | null>>;
};
export declare const DropdownContext: import("react").Context<DropdownContext>;
declare const DropdownProvider: ({ children }: {
    children: React.ReactNode;
}) => import("@emotion/react/jsx-runtime").JSX.Element;
export default DropdownProvider;
